interface ModalParams {
    path: string;
    title: string;
    fullPath?: string;
    width?: string | number;
    height?: string | number;
    onClose?: Function;
    onResize?: Function;
    onResizeEnd?: Function;
    onMessage?: Function;
    [key: string]: any;
}
/**
 * 定义打开窗口的基本类型
 */
declare const openTargetsMap: Map<string, any>;
/**
 * 创建弹窗
 */
export declare function createModal(option: ModalParams, opt?: any): void;
/**
 * 打开弹窗
 */
export declare function openModal(params: ModalParams): void;
export { openTargetsMap };
