declare const windowTargetsMap: Map<string, any>;
/**
 * 判断是否是新窗口打开方式
 * @param { String } target 打开方式
*/
export declare function isWindowTarget(target: string): boolean;
/**
 * 判断url中是否含有 http:// 或 https://
 * @param { String } url 链接地址
*/
export declare function isCompleteUrl(url: string): boolean;
export { windowTargetsMap };
